Subject: Re: Can't build first git commit

From: Fabio Aiuto <[email-masked]>
Date: Wed, 06 Mar 2019 20:58:40 +0100

Il giorno mar, 05/03/2019 alle 14.15 -0500, Jeff King ha scritto:
> On Mon, Mar 04, 2019 at 03:40:07PM -0500, Jeff King wrote:
> 
> > You can patch the Makefile, or just override it like:
> > 
> >   make LIBS='-lcrypto -lz'
> > 
> > which builds for me on current Debian unstable. I don't think you
> > can
> > actually fetch with that old build, but I used periodically check
> > that
> > Git v1.0 can fetch happily from GitHub. I haven't in a while, so
> > let me
> > know if you try it and it doesn't work. ;)
> 
> I just tried this, and it does indeed work. I had to build v1.0.0
> with
> 
>   make NO_OPENSSL=Nope
> 
> I think the issue is that some old code embedded openssl's BIGNUM in
> a
> struct, and later versions of openssl stopped publicly defining the
> types.
> 
> I was able to clone git://github.com/git/git with the result, though
> of
> course it chokes no the sha1collisiondetection submodule. You can
> still
> use "git log", though, and checkout older commits.
> 
> -Peff

Hi Jeff,
I've just typed make make LIBS='-lcrypto -lz' from the shell inside the
 
directory containing the whole first commit and it seems to work. I
trace all through the code. Yes the fetch command wasn't written at
that time, right? I didn't understand why should be better to work with
the git code from github. There's something I misunderstood?
Thank you Jeff ;-)